Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.feature
Interface Property

All Known Subinterfaces:
  Association, Attribute, BooleanAttribute, BoundingBoxAttribute, ComplexAttribute, DataFeatureCollection, Feature, FeatureCollection, GeometryAttribute, NumericAttribute, SimpleFeature, SimpleFeatureCollection, TemporalAttribute, TextAttribute

    public interface Property

Contains information as defined by an descriptor.

A Property is used to hold information in our data model. This is similar to how a Map.Entry holds a key/value pair in a Map.

The value held in a PropertyDescriptor/Value pair is defined according to the PropertyType:

- AttributeType - the value directly containing data
- AssociationType - the value is a link to another object

If this property is contained in another data structure you may use the provided Descriptor. This descriptor will provide any additional information (such as the name and multiplicity) needed.

Method Summary
`PropertyDescriptor` | `descriptor()` Convenience method to access descriptor.
`PropertyDescriptor` | `getDescriptor()` Indicates the Descriptor for this content.
`PropertyType` | `getType()` Indicate the PropertyType, if we have a descriptor it will be in agreement.
`Name` | `name()` Name (from the descriptor) of this Property.

Method Detail

### getDescriptor

    PropertyDescriptor getDescriptor()

  Indicates the Descriptor for this content.

  The attribute descriptor formally captures the name and multiplicity information and type information.

  Returns:
    Descriptor, may be null if Property is not contained in a complex attribute.

### descriptor

    PropertyDescriptor descriptor()

  Convenience method to access descriptor.

  This method only exists to aid in the transform to Java 1.4 since the `getDescriptor()` is erased to allow for type narrowing.

### name

    Name name()

  Name (from the descriptor) of this Property.

  Returns:
    name of this property.

### getType

    PropertyType getType()

  Indicate the PropertyType, if we have a descriptor it will be in agreement.

  Returns:
    PropertyType information describing content and use

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.